/**
 * highlighted-sources
 */

var cProcess = require('child_process');
var fs = require('fs');
var through = require('through');
const http = require("https");

var requestedProjects = require('../../../plugins_spip/jsUIFramework/src/UI/_build_helpers/_sourcesToPublish');

var sourcesResultObj = {};

var gotEnoughSample = false;

module.exports = function(file, options) {
	
	
	var content = '';
	var bufStr;
	
	return through(write, end);
	// callback (3rd arg) function is not used here
	
	function write(buf) {
		bufStr = buf.toString();
		
		requestedProjects.forEach(function(projectName) {
			if (!sourcesResultObj[projectName])
				sourcesResultObj[projectName] = [];
			projectExp = new RegExp(projectName + '.+\.js$', 'i');
			if (projectExp.test(file)) {
				// console.log(file);
				sourcesResultObj[projectName].push({name : file.match(/([^\\]*?)\.js$/)[1], content : bufStr});
			}
		});
		
		
		return content += bufStr;
	}
	
	function end() {
		fs.writeFileSync((options.pathToProject|| '') + 'cache/stringifiedSources.js', 'module.exports = {sourcesAsStringArrays : ' + JSON.stringify(sourcesResultObj) + '};');
		// console.log(sourcesResultObj);
		this.queue(content);
		this.queue(null);
	}
}